# File: .readthedocs.yaml (see example: https://docs.readthedocs.io/en/stable/config-file/v2.html)

# Required (see https://blog.readthedocs.com/migrate-configuration-v2/)
version: 2

# Set the OS, Python version and other tools you might need
build:
  os: ubuntu-22.04
  tools:
    python: "3.8"

# Build documentation in the "docs/" directory with Sphinx
sphinx:
  configuration: docs/source/conf.py

# Optional but recommended, declare the Python requirements required
# to build your documentation
# See https://docs.readthedocs.io/en/stable/guides/reproducible-builds.html
python:
  install:
    - requirements: docs/requirements.txt

